Page MenuHomePhabricator

Efl.Ui.Animation_View : Change class name to Efl.Ui.Vg_Animation
ClosedPublic

Authored by jsuya on Dec 20 2019, 3:38 AM.

Details

Summary

Since "View" is a reserved word for MVVM, change the class name appropriately.
Efl.Ui.Animation_View => Efl.Ui.Vg_Animation

ref T8476
Depends on D10931

Test Plan

elementary_test -> "Vector Graphcis Animation"

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
jsuya created this revision.Dec 20 2019, 3:38 AM
jsuya requested review of this revision.Dec 20 2019, 3:38 AM
jsuya updated this revision to Diff 27717.Dec 20 2019, 3:40 AM
jsuya edited the summary of this revision. (Show Details)

fix message

segfaultxavi requested changes to this revision.Dec 20 2019, 3:56 AM

Does not apply.

Thanks a lot for updating the docs too!

src/bin/elementary/test.c
1308

Typo!

This revision now requires changes to proceed.Dec 20 2019, 3:56 AM
jsuya updated this revision to Diff 27749.Dec 22 2019, 11:00 PM

fix typo. thanks @segfaultxavi

jsuya marked an inline comment as done.Dec 22 2019, 11:00 PM
segfaultxavi accepted this revision.Dec 23 2019, 4:56 AM

Builds and passes tests and elm_test works correctly.

This revision is now accepted and ready to land.Dec 23 2019, 4:56 AM
This revision was automatically updated to reflect the committed changes.